# GazeClient

A javascript library to subscribe to local gaze data streams in the OTH/UR Eyetracking Classroom. 

## Usage

**Add the library:**

```
<script type="application/javascript" src="gazeclient.js"></script>
```

**Create a client and subscribe to gaze events:**

```
var gclient = new GazeClient();
gclient.addEventListener("gazeDataAvailable", function onGazeDataAvailable(event) {
	console.log(event);
});
```

**Connect to a running gaze data server:**

```
gclient.connect("ws://localhost:8001/gaze");
```


## Build

**Prerequisite**

- node.js

To build a current version of this library run `npm install` and `npm run build`. The client library is packed with [rollup](https://rollupjs.org/guide/en/) and copied to `build/` and `demo/`. 